<template>
  <div class="column flex items-center">
    <p class="title-headline">Let's get the help you need!</p>
    <div
      class="row q-mt-md"
      :class="{ column: $q.screen.lt.sm, 'items-center': $q.screen.lt.sm }"
    >
      <div class="q-col-gutter">
        <q-card
          class="text-center bg-dark-blue text-white"
          @click="$router.push('account-setup')"
        >
          <span class="title-4">I'm a Job Seeker</span>
          <div>(looking for work)</div>
        </q-card>
      </div>

      <label class="q-px-lg q-py-lg text__regular title-headline">or</label>

      <div class="q-col-gutter">
        <q-card
          class="text-center bg-green-10 text-white"
          @click="proceedEmployer"
        >
          <span class="title-4">I'm an Employer</span>
          <div>(looking for workers)</div>
        </q-card>
      </div>
    </div>
  </div>
  <!-- DIALOG: Mobile - Employer login -->
  <q-dialog v-model="showDialog" persistent @hide="showDialog === false">
    <q-card
      flat
      class="q-pa-sm q-mt-lg rounded-borders-10"
      style="width: 600px; max-width: 80vw; height: 200px; overflow: hidden"
    >
      <q-card-section class="row items-center q-pb-none">
        <span
          class="title-headline text-dark text-center"
          style="font-size: 14px; margin-bottom: 15px"
          >Employer sign up and portal are only available via desktop for a
          better user experience.</span
        >
      </q-card-section>

      <q-card-section class="text-center q-pt-lg">
        <div>
          <q-btn
            unelevated
            label="Ok"
            class="btn-lg btn--shade-1 text-white"
            @click="showDialog = false"
          />
        </div>
      </q-card-section>

      <div class="q-my-md" align="center"></div>
    </q-card>
  </q-dialog>
</template>

<script>
import { defineComponent, ref } from "vue";
import usePageRouter from "src/hooks/pageRouter";

export default defineComponent({
  name: "RegisterForm",
  setup() {
    const { router } = usePageRouter();

    const showDialog = ref(false);

    const proceedEmployer = () => {
      if (
        /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
          navigator.userAgent
        )
      ) {
        // true for mobile device
        console.log("mobile device");
        showDialog.value = true;
      } else {
        // false for not mobile device
        console.log("not mobile device");
        router.push("onboarding-employer");
      }
    };

    return {
      proceedEmployer,
      showDialog,
    };
  },
});
</script>

<style lang="scss" scoped>
.q-card {
  width: 205px;
  height: 74px;
  border-radius: $border-radius-10;
  padding: 13px;

  &:hover {
    cursor: pointer;
    opacity: 0.8;
    transition: ease 0.2s;
  }
}

label {
  font-weight: 400 !important;
}
</style>
